/***************************************************************************
 *            intstr_table.h
 *
 *  Mon Oct 27 11:23:52 2003
 *  Copyright  2003  Arturo Montejo Raez
 *  arturo.montejo.raez@cern.ch
 ****************************************************************************/
 
/* 
	This object is used for inverting a translation table of type StrIntTable 
	to allow us recover the original string from a given ID.
*/
#ifndef _INTSTR_TABLE_H
#define _INTSTR_TABLE_H

#include <glib.h>
#include "strint_table.h"
#include "tc_types.h"

typedef GArray *IntStrTable;

IntStrTable intstr_table_new(StrIntTable tt);
void intstr_table_free(IntStrTable *ist);
gchar *intstr_table_get(IntStrTable ist, tc_id index);
void intstr_table_dump(IntStrTable ist);

#endif /* _INTSTR_TABLE_H */
