/***************************************************************************
 *            tc_utils.h
 *
 *  Mon Oct 27 14:33:08 2003
 *  Copyright  2003  Arturo Montejo Raez
 *  arturo.montejo.raez@cern.ch
 ****************************************************************************/
#ifndef _TC_UTILS_H
#define _TC_UTILS_H

#include <glib.h>
#include <stdio.h>

/* 
 * Macros and definitions 
 */
 
#define TC_BUFFER_LENGTH 255

/* connector for file system paths */
#define PATH_CONNECTOR "/"

/*
 * Miscelaneous functions
 */
inline gboolean tc_fscanstr (FILE * f, char *strbuff);
inline gboolean tc_fscanline (FILE * f, char *strbuff);

/* 
 * Messages to standard output 
 */
void tc_message(char * msg);
void tc_message_int(char * msg, int i);
void tc_message_str(char * msg, char *str);

/* 
 * Error messages 
 */
void tc_error(char *msg);
void tc_error_str(char *msg, char *str);

#endif /* _TC_UTILS_H */
