/***************************************************************************
 *            chrono.h
 *
 *  Fri Nov 14 15:59:21 2003
 *  Copyright  2003  Arturo Montejo Raez
 *  arturo.montejo.raez@cern.ch
 ****************************************************************************/

#ifndef _CHRONO_H
#define _CHRONO_H

#include <time.h>
#include <glib.h>

typedef struct chrono_struct {
	time_t prev_time;
	time_t accum_time;
	guint total_steps;
} Chrono;

void chrono_reset(Chrono *c, guint total_steps);
Chrono chrono_new(guint total_steps);
void chrono_dump(Chrono *c, guint act_step);


#endif /* _CHRONO_H */
