#include <stdio.h>
#include <stdlib.h>
#include "feature.h"

/* -------------------------------------------------------------------- */
Feature feature_new(int id, double w) {
  Feature f = g_new(struct feature_struct, 1);
  f->id = id;
  f->w = w;
  return f;
}

/* -------------------------------------------------------------------- */
void feature_free(Feature *f) {
  if (*f)
    g_free(*f);
}

/* -------------------------------------------------------------------- */
/* This function is a formatting of feature_free to be passed in a
   foreach function */
void feature_gfunc_free(gpointer data, gpointer user_data) {
  feature_free((Feature *)&data);
}

/* -------------------------------------------------------------------- */
void feature_dump(Feature t) {
  printf("%d: %lf ", t->id, t->w);
}
